List Catalog Operations for Session
curl --request GET \
--url https://omnicommerce.ai/api/v1/catalog/operations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://omnicommerce.ai/api/v1/catalog/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://omnicommerce.ai/api/v1/catalog/operations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"ok": true,
"data": {
"results": [
{
"operationId": "<string>",
"success": true,
"allTerminal": true,
"status": "<string>",
"kind": "update",
"totalCount": 123,
"succeededCount": 123,
"failedCount": 123,
"pendingCount": 123,
"syncingCount": 123,
"verifiedCount": 123,
"verificationRequested": true,
"phases": {},
"updatedAt": "<string>",
"completedAt": "<string>",
"error": "<string>",
"report": "<string>"
}
]
}
}Catalog
List Catalog Operations for Session
Read the latest 20 compact catalog-operation summaries linked to an authorized session. Requires catalog:read; product data scope is rechecked.
GET
/
api
/
v1
/
catalog
/
operations
List Catalog Operations for Session
curl --request GET \
--url https://omnicommerce.ai/api/v1/catalog/operations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://omnicommerce.ai/api/v1/catalog/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://omnicommerce.ai/api/v1/catalog/operations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"ok": true,
"data": {
"results": [
{
"operationId": "<string>",
"success": true,
"allTerminal": true,
"status": "<string>",
"kind": "update",
"totalCount": 123,
"succeededCount": 123,
"failedCount": 123,
"pendingCount": 123,
"syncingCount": 123,
"verifiedCount": 123,
"verificationRequested": true,
"phases": {},
"updatedAt": "<string>",
"completedAt": "<string>",
"error": "<string>",
"report": "<string>"
}
]
}
}